EXIT_GROUP(2)

NAME
exit_group - exit all threads in a process

SYNOPSIS
#include <linux/unistd.h>

void exit_group(int status);

DESCRIPTION
This system call is equivalent to exit(2) except that it terminates not only the present thread, but all threads in the current thread group.

RETURN VALUE
This system call does not return.

HISTORY
This call is present since Linux 2.5.35.

CONFORMING TO
This call is Linux specific.

SEE ALSO
exit(2)